Package org.gradle.language.cpp

## Interface ProductionCppComponent

- All Superinterfaces:
    `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `CppComponent`, `Named`, `ProductionComponent`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppApplication`, `CppLibrary`

      public interface ProductionCppComponent
      extends CppComponent, ProductionComponent

  Represents a C++ component that is the main product of a project.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<? extends CppBinary>` | `getDevelopmentBinary()` | Returns the binary of the component to use as the default for development.

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

      `getTargetMachines`

    - ### Methods inherited from interface org.gradle.language.cpp.CppComponent

      `getBaseName, getBinaries, getCppSource, getHeaderFiles, getImplementationDependencies, getPrivateHeaderDirs, getPrivateHeaders, getSource, privateHeaders, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDevelopmentBinary

          Provider<? extends CppBinary> getDevelopmentBinary()

      Returns the binary of the component to use as the default for development.
      Specified by:
        `getDevelopmentBinary` in interface `ProductionComponent`